; include file

spinup1

	lda	rotation
	adda	#4
	sta	rotation
	plot(sine_table,#175,#96,#40,#50,rotation)
	std	my_x1
	plot(sine_table,my_x1,my_y1,#10,#20,rotation)
	std	my_x1
	lda	rotation
	adda	#32
	sta	rotation2
	plot(sine_table,my_x1,my_y1,#10,#20,rotation2)
	std	my_x2
	cg6_line(page,my_x1,my_y1,my_x2,my_y2,#1)
	lda	rotation
	adda	#64
	sta	rotation3
	plot(sine_table,#127,#96,#40,#50,rotation3)
	std	my_x1
	plot(sine_table,my_x1,my_y1,#10,#20,rotation3)
	std	my_x1
	lda	rotation3
	adda	#32
	sta	rotation4
	plot(sine_table,my_x1,my_y1,#10,#20,rotation4)
	std	my_x2
	cg6_line(page,my_x1,my_y1,my_x2,my_y2,#0)

	rts
